PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PSNMP_PDU Class Reference

`#include <snmp.h>`

Inheritance diagram for PSNMP_PDU:
[legend]
Collaboration diagram for PSNMP_PDU:
[legend]

## Public Member Functions
| PSNMP_PDU (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes
PASN_Integer | m_request_id
PASN_Integer | m_error_status
PASN_Integer | m_error_index
PSNMP_VarBindList | m_variable_bindings

## Constructor & Destructor Documentation

PSNMP_PDU::PSNMP_PDU | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PSNMP_PDU::Clone | ( |  | ) | const

Comparison PSNMP_PDU::Compare | ( | const PObject & | obj | ) | const

PBoolean PSNMP_PDU::Decode | ( | PASN_Stream & | strm | ) |

void PSNMP_PDU::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX PSNMP_PDU::GetDataLength | ( |  | ) | const

void PSNMP_PDU::PrintOn | ( | ostream & | strm | ) | const

## Member Data Documentation

PASN_Integer PSNMP_PDU::m_error_index

PASN_Integer PSNMP_PDU::m_error_status

PASN_Integer PSNMP_PDU::m_request_id

PSNMP_VarBindList PSNMP_PDU::m_variable_bindings

The documentation for this class was generated from the following file:

- snmp.h